package cn.iocoder.yudao.module.jx.payment.mapper;


import cn.iocoder.yudao.module.jx.domain.DriveSchoolCourse;
import cn.iocoder.yudao.module.jx.domain.DriveSchoolInfo;
import cn.iocoder.yudao.module.jx.payment.entity.PayEntity;
import cn.iocoder.yudao.module.jx.payment.vo.PayVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface DrivePayMapper {

    Integer insertPayInfo(PayEntity payEntity);

    List<PayVo> findPayListAll(Long id);

    DriveSchoolInfo findDriveSchoolByJxId(Integer jxId);

    DriveSchoolCourse findDriveSchoolCourse(Integer courseId);

    PayEntity findPayById(Long userId);

    List<PayVo> findPayByPhoneList(String phone);

    List<PayVo> findPayByUserIdList(Long userId);


    Integer findPayListAllNumber();

    Integer findPayListAfternoonNumber();

    PayVo findPayByUserId(Long userId);


    List<PayVo> findCurrentJlCount(Integer currentJlId);
    List<PayVo> findStuCount(Long currentJlId);

    PayVo findPayListByUserId(Long userId);


    void updatePayByOrderNumber(String orderNo);

    PayVo findPayByUserIdOne(Long userId);

    Integer selectByUserId(Long userId);
}
